import { system, world } from "@minecraft/server";


system.events.beforeWatchdogTerminate.subscribe(data => {
	data.cancel = true;
});

world.events.tick.subscribe(active =>{
	let w = world.getDimension("overworld"); 

	try{
		for (let p of world.getPlayers()) {
			p.runCommandAsync(`function tools`)

			if(p.getComponent('health').current <= 0){
				p.runCommandAsync(`function no_light`)
			}



			if(p.hasTag("head") && !p.hasTag("torso") && !p.hasTag("legs") && !p.hasTag("feet")){
				p.runCommandAsync(`function head_light`)
				p.runCommandAsync(`fill ~4 ~4 ~4 ~-4 ~-2 ~-4 air 0 replace light_block 8`);
			}
			if(p.hasTag("torso") && !p.hasTag("head") && !p.hasTag("legs") && !p.hasTag("feet")){
				p.runCommandAsync(`function torso_light`)
				p.runCommandAsync(`fill ~4 ~4 ~4 ~-4 ~-2 ~-4 air 0 replace light_block 8`);
			}
			if(p.hasTag("legs") && !p.hasTag("torso") && !p.hasTag("head") && !p.hasTag("feet")){
				p.runCommandAsync(`function legs_light`)
				p.runCommandAsync(`fill ~4 ~4 ~4 ~-4 ~-2 ~-4 air 0 replace light_block 8`);
			}
			if(p.hasTag("feet") && !p.hasTag("torso") && !p.hasTag("legs") && !p.hasTag("head")){
				p.runCommandAsync(`function feet_light`)
				p.runCommandAsync(`fill ~4 ~4 ~4 ~-4 ~-2 ~-4 air 0 replace light_block 8`);
			}
			if(!p.hasTag("torso") && !p.hasTag("legs") && !p.hasTag("head") && !p.hasTag("feet")){
				p.runCommandAsync(`function no_light`);
				if(p.hasTag("tools1") || p.hasTag("tools2") || p.hasTag("tools3") || p.hasTag("tools4") || p.hasTag("tools5")){
					p.runCommandAsync(`function tools_light`)
				}
				if(!p.hasTag("tools1") && !p.hasTag("tools2") && !p.hasTag("tools3") && !p.hasTag("tools4") && !p.hasTag("tools5")){
					p.runCommandAsync(`fill ~4 ~4 ~4 ~-4 ~-2 ~-4 air 0 replace light_block 5`);
				}
			}


			if(p.hasTag("head") && p.hasTag("torso") && !p.hasTag("legs") && !p.hasTag("feet") || p.hasTag("head") && !p.hasTag("torso") && p.hasTag("legs") && !p.hasTag("feet") || p.hasTag("head") && !p.hasTag("torso") && !p.hasTag("legs") && p.hasTag("feet") || !p.hasTag("head") && p.hasTag("torso") && p.hasTag("legs") && !p.hasTag("feet") || !p.hasTag("head") && p.hasTag("torso") && !p.hasTag("legs") && p.hasTag("feet") || !p.hasTag("head") && !p.hasTag("torso") && p.hasTag("legs") && p.hasTag("feet")){
				p.runCommandAsync(`function 2armor_light`);
			}

			if(p.hasTag("head") && p.hasTag("torso") && p.hasTag("legs") && !p.hasTag("feet") || p.hasTag("head") && p.hasTag("torso") && !p.hasTag("legs") && p.hasTag("feet") || p.hasTag("head") && !p.hasTag("torso") && p.hasTag("legs") && p.hasTag("feet") || !p.hasTag("head") && p.hasTag("torso") && p.hasTag("legs") && p.hasTag("feet")){
				p.runCommandAsync(`function 3armor_light`);
			}

			if(p.hasTag("head") && p.hasTag("torso") && p.hasTag("legs") && p.hasTag("feet")){
				p.runCommandAsync(`function 4armor_light`);
				p.runCommandAsync(`fill ~4 ~4 ~4 ~-4 ~-2 ~-4 air 0 replace light_block 10`);
			}
			
		}
	}catch{

	}
});